Skip to main content
GET
/
orgs
/
{org_id}
/
inbox
/
ws
Chat Org Inbox WebSocket
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/inbox/ws \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/inbox/ws"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.useinvent.com/orgs/{org_id}/inbox/ws', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "create",
  "data": {
    "id": "<string>",
    "title": "<string>",
    "model": "<string>",
    "members": [
      {
        "id": "<string>",
        "user": {
          "id": "<string>",
          "name": "<string>",
          "avatar": "<string>"
        },
        "session": {
          "id": "<string>"
        },
        "contact_channel": {
          "id": "<string>",
          "user_id": "<string>",
          "avatar": "<string>",
          "name": "<string>",
          "username": "<string>",
          "email": "jsmith@example.com",
          "phone": "<string>",
          "country": "<string>",
          "agent": "<string>",
          "ip": "<string>",
          "language": "<string>",
          "contact": {
            "id": "<string>",
            "name": "<string>",
            "blocked": true,
            "unsubscribed": true,
            "ai_replies": true,
            "is_admin": true
          },
          "link": "<string>"
        }
      }
    ],
    "temporary": true,
    "pinned": true,
    "shared_url": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "tools": [
      {
        "name": "<string>",
        "display_name": "<string>",
        "action_name": "<string>",
        "description": "<string>",
        "icon_url": "<string>",
        "connection_id": "<string>",
        "parameters": {},
        "input": {},
        "definitions": [
          {
            "path": "<string>",
            "definition": {}
          }
        ],
        "enabled": true,
        "callback": "<string>",
        "validation": "<string>"
      }
    ],
    "skills": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "features": {
      "reasoning": {},
      "auto_discover": true,
      "web": true,
      "image_generation": true,
      "workbench": {
        "enabled": true
      }
    },
    "org_id": "<string>",
    "state": {
      "id": "<string>",
      "assistant_id": "<string>",
      "assistant_integration_id": "<string>",
      "conversation_id": "<string>",
      "ai_enabled": true,
      "admin_unseen_count": 123,
      "user_unseen_count": 123,
      "assistant": {
        "id": "<string>",
        "name": "<string>",
        "enabled": true,
        "avatar_url": "<string>",
        "deleted": true,
        "config": {
          "conversation": {
            "welcome_banner": "<string>",
            "suggested_messages": [
              "<string>"
            ],
            "auto_intro_message": "<string>",
            "enable_auto_csat": true,
            "enable_ai_replies": true
          }
        }
      },
      "assistant_integration": {
        "id": "<string>",
        "enabled": true,
        "has_connection": true
      },
      "assigned_user": {
        "id": "<string>",
        "name": "<string>",
        "email": "jsmith@example.com",
        "avatar": "<string>",
        "seen_at": "2023-11-07T05:31:56Z"
      },
      "assigned_at": "2023-11-07T05:31:56Z",
      "assistant_config": {
        "model": "<string>",
        "stt": {
          "model": "<string>"
        },
        "tts": {
          "model": "<string>",
          "voice_id": "<string>"
        },
        "conversation": {
          "enable_memories": true,
          "enable_transfer_to_human_tool": true,
          "welcome_banner": "<string>",
          "suggested_messages": [
            "<string>"
          ],
          "auto_intro_message": "<string>",
          "enable_end_conversation_tool": true,
          "enable_block_contact_tool": true,
          "enable_ai_replies": true,
          "enable_auto_resolve": true,
          "enable_auto_follow_ups": true,
          "follow_up_instructions": "<string>",
          "enable_auto_csat": true,
          "enable_private_chats": true,
          "enable_update_contact_tool": true
        },
        "timezone": "<string>",
        "instructions": "<string>"
      },
      "follow_up_at": "2023-11-07T05:31:56Z",
      "muted_until": "2023-11-07T05:31:56Z",
      "csat_score": 3,
      "last_contact_message_at": "2023-11-07T05:31:56Z"
    },
    "link": "<string>",
    "last_message": {
      "id": "<string>",
      "model": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "messages": [
        {
          "role": "system",
          "parts": [
            {
              "type": "text",
              "text": "<string>",
              "audio": {
                "id": "<string>",
                "file_path": "<string>",
                "file_filename": "document.pdf",
                "file_size": 1024,
                "file_mimetype": "application/pdf",
                "file_url": "<string>",
                "created_at": "2023-11-07T05:31:56Z"
              },
              "start_timestamp": 123,
              "end_timestamp": 123
            }
          ]
        }
      ],
      "member": {
        "id": "<string>",
        "user": {
          "id": "<string>",
          "name": "<string>",
          "avatar": "<string>"
        },
        "session": {
          "id": "<string>"
        },
        "contact_channel": {
          "id": "<string>",
          "user_id": "<string>",
          "avatar": "<string>",
          "name": "<string>",
          "username": "<string>",
          "email": "jsmith@example.com",
          "phone": "<string>",
          "country": "<string>",
          "agent": "<string>",
          "ip": "<string>",
          "language": "<string>",
          "contact": {
            "id": "<string>",
            "name": "<string>",
            "blocked": true,
            "unsubscribed": true,
            "ai_replies": true,
            "is_admin": true
          },
          "link": "<string>"
        }
      },
      "error": "<string>",
      "broadcast_id": "<string>",
      "is_broadcast_message": true,
      "usage": {
        "input_tokens": 123,
        "output_tokens": 123,
        "total_tokens": 123,
        "reasoning_tokens": 123,
        "input_tokens_cache_read": 123,
        "input_tokens_cache_write": 123,
        "turns": [
          {
            "input_tokens": 123,
            "output_tokens": 123,
            "total_tokens": 123,
            "reasoning_tokens": 123,
            "input_tokens_cache_read": 123,
            "input_tokens_cache_write": 123
          }
        ]
      },
      "delivered_at": "2023-11-07T05:31:56Z",
      "seen_at": "2023-11-07T05:31:56Z"
    },
    "referral": {
      "type": "messenger_ad",
      "parts": [
        {
          "type": "file",
          "url": "<string>",
          "file": {
            "id": "<string>",
            "file_path": "<string>",
            "file_filename": "document.pdf",
            "file_size": 1024,
            "file_mimetype": "application/pdf",
            "file_url": "<string>",
            "created_at": "2023-11-07T05:31:56Z"
          },
          "auto_consume": true,
          "start_timestamp": 123,
          "end_timestamp": 123
        }
      ],
      "ref": "<string>",
      "ad_id": "<string>",
      "source": "<string>",
      "referer_uri": "<string>",
      "ads_context_data": {
        "ad_title": "<string>",
        "photo_url": "<string>",
        "video_url": "<string>",
        "post_id": "<string>",
        "product_id": "<string>"
      }
    }
  },
  "identifier": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

Response

200 - application/json

Event emitted when a chat is created

type
enum<string>
required
Available options:
create
data
object
required
identifier
string | null
required